Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.master.search.enterprise
Class EOSearchOptions

    java.lang.Object
      SearchOptions
          com.stc.eindex.master.search.enterprise.EOSearchOptions

public class EOSearchOptions
extends SearchOptions

The EOSearchOptions class represents a specific sub-class of the SearchOptions class, and is used by searchEnterpriseObject as criteria for an enterprise object search. Methods in this class use fully qualified field names (see Creating a Master Index with eView Studio for more information about field names).

Constructor Summary
`EOSearchOptions()` Creates a new instance of the EOSearchOptions class.
`EOSearchOptions(java.lang.String searchId, EPathArrayList fields)` Creates a new instance of the EOSearchOptions class.

Method Summary
`int` | `getCandidateThreshold()` Retrieves the candidate threshold, which determines the maximuim number of candidate records that can be returned for a blocker query.
`EPathArrayList` | `getFieldsToRetrieve()` Retrieves an array of fully qualified field names pointing to the location of the fields to retrieve from a search for an enterprise object.
`java.lang.String` | `getSearchId()` Retrieves the value of the search ID (query name) defined in an EOSearchOptions object.
`void` | `setCandidateThreshold(int count)` Sets the value for the candidate threshold (the maximum number of records that can be returned for a blocking query).
`void` | `setFieldsToRetrieve(EPathArrayList fields)` Sets the fields to retrieve for an enterprise object search, using the ePaths of the fields.
`void` | `setSearchId(java.lang.String searchId)` Sets the search ID (the name of the query) for an enterprise object search.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EOSearchOptions

    public EOSearchOptions()
                    throws ConfigurationException

  Creates a new instance of the EOSearchOptions class.

  Parameters:
    None.

  Throws:
    `ConfigurationException` - Thrown when a parameter is invalid.

### EOSearchOptions

    public EOSearchOptions(java.lang.String searchId,
                           EPathArrayList fields)
                    throws ConfigurationException

  Creates a new instance of the EOSearchOptions class. The query specified in this method transforms the system object in an EOSearchCriteria object to a set of query objects.

  Parameters:
    `searchId` - The name of the query to be used. The possible values for this parameter are defined in the Candidate Select configuration file.
    `fields` - An array of fully qualified field names pointing to the fields to retrieve for the query. Fully qualified field names allow you to define fields within the context of the enterprise object; that is, the field name uses "Enterprise" as the root. For example, Enterprise.SystemSBR.Person.FirstName.
  Throws:
    `ConfigurationException` - Thrown when a parameter is invalid.

Method Detail

### getCandidateThreshold

    public int getCandidateThreshold()

  Retrieves the candidate threshold, which determines the maximuim number of candidate records that can be returned for a blocker query. This value is set in the Enterprise Data Manager file (candidate-threshold element) or by the setCandidateThreshold method.

  Parameters:
    None.

  Returns:
    `int` - An integer specifying the candidate threshold.
  Throws:
    None.

### getFieldsToRetrieve

    public EPathArrayList getFieldsToRetrieve()
                                       throws ConfigurationException

  Retrieves an array of fully qualified field names pointing to the location of the fields to retrieve from a search for an enterprise object.

  Parameters:
    None.

  Returns:
    `EPathArrayList` - An array containing the fully qualified field names for the fields to retrieve.
  Throws:
    `ConfigurationException` - Thrown when a parameter is invalid.

### getSearchId

    public java.lang.String getSearchId()

  Retrieves the value of the search ID (query name) defined in an EOSearchOptions object.

  Parameters:
    None.

  Returns:
    search id - The name of the query used in the specified instance of EOSearchOptions.
  Throws:
    None.

### setCandidateThreshold

    public void setCandidateThreshold(int count)

  Sets the value for the candidate threshold (the maximum number of records that can be returned for a blocking query).

  Parameters:
    `count` - An integer representing the candidate threshold.
  Returns:
    `void` - None.
  Throws:
    None.

### setFieldsToRetrieve

    public void setFieldsToRetrieve(EPathArrayList fields)
                             throws ConfigurationException

  Sets the fields to retrieve for an enterprise object search, using the ePaths of the fields.

  Parameters:
    `fields` - An array containing the fully qualified field names for the fields to retrieve.
  Returns:
    `void` - None.
  Throws:
    `ConfigurationException` - Thrown when a parameter is invalid.

### setSearchId

    public void setSearchId(java.lang.String searchId)

  Sets the search ID (the name of the query) for an enterprise object search.

  Parameters:
    `searchId` - A query name (available names are defined in the Candidate Select configuration file).
  Returns:
    `void` - None.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.